## org.eclipse.xsd
Class XSDPlugin

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin
          org.eclipse.xsd.XSDPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class XSDPlugin

extends EMFPlugin

The Plugin for the model. The XML Schema model needs to be able to run within an Eclipse workbench, within a headless Eclipse workspace, or just stand-alone as part of some other application. To support this, all access is directed to the static methods, which can redirect the service as appopriate to the runtime. During stand-alone invocation no plugin initialization takes place. In this case you will need the resources jar on the class path.

See Also:
  `EMFPlugin.getBaseURL()`

Nested Class Summary
`static class` `XSDPlugin.Implementation` The actual implementation of the Eclipse Plugin.
`static class` `XSDPlugin.StringComparator` A comparator for strings which does collation specific to the current locale by default.
`static class` `XSDPlugin.UnicodeStringComparator` A comparator for strings which does collation based simply on unicode values.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static XSDPlugin` `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`baseURL, delegateResourceLocators, images, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Method Summary
`XSDPlugin.StringComparator` `getComparator()` Returns the comparator that will be used to sort namespaces and names.
`static XSDPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()`
`void` `setComparator(XSDPlugin.StringComparator comparator)` Sets the comparator that will be used to sort namespaces and names.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`delegatedGetImage, delegatedGetString, doGetImage, getBaseURL, getImage, getPluginLogger, getString, getString, getString, getString, getSymbolicName, log, main, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final XSDPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getComparator

    public XSDPlugin.StringComparator getComparator()

  Returns the comparator that will be used to sort namespaces and names. The default comparator is specific to the current locale at startup. Changes to the comparator after it's already in use will be ignored.

  Returns:
    the comparator that will be used to sort namespaces and names.

### setComparator

    public void setComparator(XSDPlugin.StringComparator comparator)

  Sets the comparator that will be used to sort namespaces and names. Changes to the comparator after it's already in use will be ignored.

  Parameters:
    `comparator` - the comparator that will be used to sort namespaces and names.

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`

### getPlugin

    public static XSDPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.